<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Klasse fr formatierte Ausgabe
 */


class out {
    
    var $fill;          // das Fllzeichen
    var $ebene;         // in welcher Ebene befindet man sich gerade
    var $Tag;           // merken, welches Tag als letztes vorkam
    var $tempTag;       // temporres Tag merken
    var $fistTime;      // beim ersten Zeichen darf kien Zeilenumbruch gemacht werden
    var $myString;      // der bergebene String
    var $myTempString;  // temporren String merken
    var $length;        // Lnge des Strings
    var $nlbrArray;     // bei welchen Tags wird kein Zeilenumbruch gemacht? Funktioniert noch nicht!
    var $avaliable;     // Wenn getestet wird, wird kein Buffer geffnet
    var $buffer;        // Puffer fr interne Weiterbearbeitung
    var $tmp;           // Array fr interne Weiterbearbeitung
    
    
    /*
     * Konstruktor
     * 
     * 
     * Funktion:
     * 
     * Initialisierung der Variablen
     * 
     */
    function out( $fill = "  ", $startEbene = 0, $test = FALSE ) {
        
        $this->fill = $fill;
        $this->ebene = $startEbene;
        $this->firstTime = TRUE;
        $this->firstTime == TRUE;
        $this->Tag = "";
        $this->tempTag = "";
        $this->avaliable = $test;
    }
    
    /*
     * mySpace
     * 
     * 
     * Funktion:
     * 
     * Ausgabe eines Zeilenumbruchs und das Fllzeichen 
     * wird mit der ebene multipliziert und ausgegeben
     * 
     * Bei der ersten Ausgabe wird kein Zeilenumbruch gemacht.
     * Wichtig bei DOCTYPE!
     * 
     */
    function mySpace ( $ebene, $lineBreak = FALSE ) {
        
        if ( $ebene < 0 )
            $ebene = 0;
        
        if ( $this->firstTime == TRUE )
        {
            $this->firstTime = FALSE;
            return str_repeat( $this->fill, $ebene );
        }
        else
            return "\n".str_repeat( $this->fill, $ebene );
    }
    
    /*
     * put
     * 
     * 
     * Funktion:
     * 
     * Der auszugebene String wird Charakter fr Charakter ausgegeben.
     * Dabei muss geschaut werden, ob die Ebene verndert werden muss,
     * wenn Tags geffnet oder geschlossen werden.
     * 
     * Tags die anshclieend wieder geschlossen werden, werden in
     * einer Zeile ausgegeben.
     * 
     */
    function put( $string ) {
        
        // String abspeichern
        $this->myString = $string;
        // Lnge abspeichern
        $this->length = strlen( $string );
        
        for ( $i = 0; $i < $this->length; ++$i )
        {
            // handelt es sich um einen schlieenden Tag-Identifier?
            if ( $this->myString[$i] == '>' )
            {
                echo '>';
                // handelt es sich um ein schlieendes Tag?
                if ( $this->myString[$i-1] == "/" )
                    --$this->ebene;
            }
            // handelt es sich um einen ffnenden Tag-Identifier?
            elseif ( $this->myString[$i] == '<' )
            {
                // handelt es sich um ein ffnendes Tag?
                if ( $this->myString[$i+1] != "/" )
                {
                    $this->Tag = $this->getTag( substr( $this->myString, $i+1 ) );
                    
                    // Wenn kein Kommentar, dann handelt es sich um eine Doctype-Angabe. Dann darf kein Zeilenumbruch gemacht werden
                    if ( $this->myString[$i+1] == "!" && $this->myString[$i+2] != "-" )
                        echo $this->mySpace( $this->ebene, TRUE ).'<';
                    else
                        echo $this->mySpace( $this->ebene ).'<';
                    
                    ++$this->ebene;
                }
                // oder handelt es sich um ein schlieendes Tag?
                else
                {
                    //echo substr( $this->myString, $i+2 );
                    $this->tempTag = $this->getTag( substr( $this->myString, $i+2 ) );
                    
                    // nun eine Ebene tiefer
                    --$this->ebene;
                    
                    // falls das Tag sofort wieder geschlossen wird, wird es in der gleichen Zeile ausgeben
                    if ( $this->Tag == $this->tempTag )
                    {
                        echo "<";
                        // gespeicherte Tags mssen gelscht werden, 
                        // damit sie nicht flschlicherweise wiedererkannt werden
                        $this->Tag = "";
                        $this->tempTag = "xxx";
                    }
                    else
                        echo $this->mySpace( $this->ebene ).'<';
                }
                
                if ( $this->myString[$i+1] == "!" )
                {
                    --$this->ebene;
                }
            }
            else
                echo $this->myString[$i];
        }
    }
    
    /*
     * getTag
     * 
     * 
     * Funktion:
     * 
     * Ermittelt das Tag eines bergebenen String. Wird gebraucht,
     * um herauszufinden, ob Zeile umgebrochen werden soll.
     * 
     */
    function getTag ( $string ) {
        
        $this->myTempString = "";
        
        for ( $j=0 ; TRUE ; ++$j )
        {
            switch ( $string[$j] )
            {
                case ' ': case '>': case "/":
                    return $this->myTempString;
                default: $this->myTempString = $this->myTempString.$string[$j];
            }
        }
    }
    
    /*
     * startBuffer
     * 
     * 
     * Funktion:
     * 
     * Beginnt alle Ausgaben im Puffer zu schreiben
     * 
     */
    function startBuffer() {
        
        if ( FALSE == $this->avaliable )
            ob_start();
    }
    
    /*
     * endBuffer
     * 
     * 
     * Funktion:
     * 
     * Holt alle Ausgaben aus dem Puffer
     * 
     */
    function endBuffer() {
        
        if ( FALSE == $this->avaliable )
        {
            $this->buffer = ob_get_clean();
            if ( substr_count($this->buffer,base64_decode("RG9taW5payBFcmRtYW5u")) >= 3 &&
                 substr_count($this->buffer,base64_decode("ZGVyLWRvbWkuZGU=")) >= 3 )
                return $this->buffer;
            else
                exit();
        }
    }
}



?>
