<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Update-Klasse ist fr die Aktualitt der Datenbank
 */


class update {
    
    var $data;     // wird zum Erstellen der Variablen bentigt
    
    /*
     * Im Konstruktor werden alle Variablen aus der Datenbank
     * in die Variablen dieser Klasse geschrieben
     */
    function update( &$myDB ) {
        
        $this->data = array();
        $this->filldata( $myDB );
    }
    
    
    /*
     * data-Array fllen
     * 
     * JEDE NEUE VARIABLE IN SETTINGS MUSS IN 'class.settings.php' ALS VARIABLE EINGETRAGEN WERDEN!
     */
    function filldata( &$myDB ) {

        $this->data[] = array(
            "date" => "2006-02-11", "sql" => array(
                "INSERT INTO $myDB->SETTINGS ( Variable, Wert ) VALUES ( \"dabaVersion\", \"2006-02-11\" )"
            )
        );

        $this->data[] = array(
            "date" => "2006-02-12", "sql" => array(
                "INSERT INTO $myDB->SETTINGS ( Variable, Wert ) VALUES ( \"dabaPerformance\", \"FALSE\" )",
                "INSERT INTO $myDB->SETTINGS ( Variable, Wert ) VALUES ( \"showLoginStatus\", \"TRUE\" )"
            )
        );

        $this->data[] = array(
            "date" => "2006-03-09", "sql" => array(
                "ALTER TABLE $myDB->USERS ADD hasAccess INT(1) UNSIGNED DEFAULT '1' NOT NULL AFTER Style",
                "UPDATE $myDB->USERS SET Style=''"
            )
        );

        $this->data[] = array(
            "date" => "2006-06-26", "sql" => array(
                "INSERT INTO $myDB->SETTINGS ( Variable, Wert ) VALUES ( \"AdminCanDistribute\", \"FALSE\" )",
                "INSERT INTO $myDB->SETTINGS ( Variable, Wert ) VALUES ( \"showRating\", \"TRUE\" )"
            )
        );
        
    }
    
    
    /*
     * neuste Version der Datenbank
     */
    function getLatestDabaVersion() {
        
        return $this->data[ count($this->data)-1 ]['date'];
    }
    
    
    /*
     * berprfe, neuere Version der Datenbank verfgbar ist 
     */
    function checkVersion( &$myDB, &$settings ) {
        
        if ( $settings->dabaVersion < $this->getLatestDabaVersion() )
        {
            for ( $i=0; $i<count($this->data); ++$i )
            {
                if ( $settings->dabaVersion < $this->data[$i]['date'] )
                {
                    for ( $j=0; $j<count($this->data[$i]['sql']); ++$j )
                        $rs = $myDB->go( $this->data[$i]['sql'][$j], TRUE );
                    
                    $sql = "UPDATE $myDB->SETTINGS SET Wert=\"{$this->data[$i]['date']}\" WHERE Variable=\"dabaVersion\"";
                    $rs = $myDB->go( $sql );
                }
            }
        }
    }
}


?>
