<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Kollektion zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 593 && $_SESSION['UserRechte'] >= 600 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 

    echo "<table style=\"padding:0; margin:0; width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";

    
    echo "<form method=\"post\" name=\"addCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Neue Kollektion einf&uuml;gen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"text\" class=\"input_lang\" name=\"CollectName\" maxlength=\"23\" />";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"hinzuf&uuml;gen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"addCollect\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    echo "<form method=\"post\" name=\"renameCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Kollektion umbenennen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">";
    echo "<select class=\"select\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}</option>";
    echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;in ";
    echo "</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"text\" class=\"input_lang\" name=\"CollectName\" maxlength=\"23\" />";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"umbenennen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"renameCollect\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    echo "<form method=\"post\" name=\"renameCollectID\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">ID umbenennen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">";
    echo "<select class=\"select\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}: {$row['CollectID']}</option>";
    echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;in ";
    echo "</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"text\" class=\"input_kurz\" name=\"newCollectID\" maxlength=\"3\" />";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"umbenennen\" />";
    echo "</td>";
    echo "</tr>";
    echo "<tr><td>&nbsp;</td><td colspan=\"3\" style=\"padding: 10px 0px 0px 2px;\" class=\"description_Bearbeitung_rechts\"><strong>Hinweis:</strong> Durch Umbenennen der KollektionsID &auml;ndern sich auch deren FilmID's!</td></tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"renameCollectID\" value=\"1\" />";
    echo "</form>";
    
    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    echo "<form method=\"post\" name=\"istStandardCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Standard festlegen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";

    echo "<select class=\"select\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        if ( $row['istStandard'] == 0 )
            echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}</option>";
        else
            echo "<option value=\"{$row['CollectID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row['Bezeichnung']}</option>";
    echo "</select>";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"Standard\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"istStandardCollect\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    echo "<form method=\"post\" name=\"deleteCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Kollektion l&ouml;schen</td>";
    echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
    echo "<select class=\"select\" name=\"setCollectID\">";
    $sql = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql .= " ORDER BY Bezeichnung";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}</option>";
    echo "</select>";
    echo "</td>";
    echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmitWarning\" style=\"vertical-align:middle\" value=\"l&ouml;schen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"deleteCollect\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";        
    
    // Nur Superadmin hat das Recht, Privilegien zu setzen!
    if ( $_SESSION['UserRechte'] == 900 )
    {
        echo "<form method=\"post\" name=\"PrivilegCollect\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo $var;

        echo "<table class=\"table\">";
        echo "<tr>";
        echo "<td style=\"width:25%\" class=\"description_Bearbeitung\">Privilegien &auml;ndern</td>";
        echo "<td style=\"width:30%\" class=\"description_Bearbeitung_rechts\">";
        echo "<select class=\"select\" name=\"setCollectID\">";
        $sql = "SELECT * FROM $myDB->COLLECT";
        if ( $_SESSION['UserRechte'] == 600 )
            $sql .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
        $sql .= " ORDER BY Bezeichnung";
        $rs = $myDB->go($sql);
        while( $row = $myDB->getRow($rs) )
            echo "<option value=\"{$row['CollectID']}\">{$row['Bezeichnung']}: {$row['brauchtPrivileg']}</option>";
        echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;in ";
        echo "</td>";
        echo "<td style=\"width:25%\" class=\"description_Bearbeitung_rechts\">";
        echo "<input type=\"text\" class=\"input_kurz\" name=\"brauchtPrivileg\" maxlength=\"2\" />";
        echo "</td>";
        echo "<td style=\"width:10%\" class=\"description_Bearbeitung_rechts\">";
        echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"&auml;ndern\" />";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
        echo "<input type=\"hidden\" name=\"PrivilegCollect\" value=\"1\" />";
        echo "</form>";
    }

    echo "</td>";
    echo "</tr>";
    echo "</table>";

}

?>
