<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Kollektion zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 593 && isset($_POST['sent']) && $_SESSION['UserRechte'] >= 600 )
{
    if ( isset($_POST['CollectName']) )
    {
        if ( strlen($_REQUEST['CollectName']) <= 2 )
            $myVar->warnung[] = "Ung&uuml;ltiger Name. Mindestens drei Zeichen";
        else
        {
            // HTML-Zeichen konventieren
            $CollectName = htmlentities( $_REQUEST['CollectName'] );
            
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->COLLECT WHERE Bezeichnung = '$CollectName'";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            if ( $row['ANZ'] > 0 )
                $myVar->warnung[] = "Kollektion existiert bereits! Vorgang ung&uuml;ltig!";
            else if ( isset($_REQUEST['addCollect']) )
            {
                $sql = "INSERT INTO $myDB->COLLECT (Bezeichnung, brauchtPrivileg) VALUES ('$CollectName', 1)";
                $myDB->go($sql);
                $id = mysql_insert_id();
                
                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->COLLECT WHERE istStandard = 1";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                if ( $row['Anz'] == 0 )
                {
                    $sql = "UPDATE $myDB->COLLECT SET istStandard = 1 WHERE CollectID = $id";
                    $myDB->go($sql);
                }
                else
                {
                    $sql = "UPDATE $myDB->COLLECT SET istStandard = 0 WHERE CollectID = $id";
                    $myDB->go($sql);
                }
            }
            else if ( isset($_REQUEST['renameCollect']) )
            {
                $sql = "UPDATE $myDB->COLLECT SET Bezeichnung = '$CollectName' WHERE CollectID = {$_REQUEST['setCollectID']}";
                $myDB->go($sql);
            }
        }
    }
    
    if ( isset($_REQUEST['istStandardCollect']) )
    {
        $sql = "UPDATE $myDB->COLLECT SET istStandard = 1 WHERE CollectID = {$_REQUEST['setCollectID']}";
        $rs = $myDB->go($sql);
        
        $sql = "UPDATE $myDB->COLLECT SET istStandard = 0 WHERE CollectID != {$_REQUEST['setCollectID']}";
        $rs = $myDB->go($sql);
    }
    
    if ( isset($_REQUEST['renameCollectID']) )
    {
        $newCollectID = (int) $_REQUEST['newCollectID'];
        
        if ( $newCollectID <= 0 )
            $myVar->hinweis[] = "Dies ist eine ung&uuml;ltige ID!";
        else
        {
            $sql = "SELECT COUNT(*) AS Anz FROM $myDB->COLLECT WHERE CollectID=$newCollectID";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            if ( $row['Anz'] != 0 )
                $myVar->warnung[] = "KollektionsID kann nicht umbenannt werden, da ID <strong>$newCollectID</strong> bereits existiert.";
            else
            {
                $sql = "UPDATE $myDB->COLLECT SET CollectID=$newCollectID WHERE CollectID = {$_REQUEST['setCollectID']}";
                $rs = $myDB->go($sql);
                
                $myVar->erfolg[] = "Die alte KollektionesID {$_REQUEST['setCollectID']} wurde in <strong>$newCollectID</strong> umbenannt!";
                
                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME WHERE COLLECT_CollectID={$_REQUEST['setCollectID']}";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                if ( $row['Anz'] != 0 )
                {
                    $sql = "UPDATE $myDB->FILME SET COLLECT_CollectID=$newCollectID WHERE COLLECT_CollectID = {$_REQUEST['setCollectID']}";
                    $rs = $myDB->go($sql);
                    $myVar->erfolg[] = "Es wurden {$row['Anz']} FilmID's ge&auml;ndert!";
                }
            }
        }
    }
    
    if ( isset($_REQUEST['PrivilegCollect']) )
    {
        // brauchtPrivileg kontrollieren
        if ( (int)$_REQUEST['brauchtPrivileg'] >= 0 && (int)$_REQUEST['brauchtPrivileg'] <= 99 )
             $brauchtPrivileg = (int)$_REQUEST['brauchtPrivileg'];
        else
            $brauchtPrivileg = 1;
        if ( $_REQUEST['brauchtPrivileg'] == '' )
            $brauchtPrivileg = 1;
        
        $sql = "UPDATE $myDB->COLLECT SET brauchtPrivileg = $brauchtPrivileg WHERE CollectID = {$_REQUEST['setCollectID']}";
        $rs = $myDB->go($sql);
    }
    
    if ( isset($_REQUEST['deleteCollect']) )
    {
        $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME WHERE COLLECT_CollectID = {$_REQUEST['setCollectID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        if ( $row['ANZ'] > 0 )
            $myVar->hinweis[] = "Diese Kollektion enth&auml;lt noch {$row['ANZ']} Zuordnungen. Kann nicht gel&ouml;scht werden!";
        else
        {
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->COLLECT WHERE CollectID != {$_REQUEST['setCollectID']}";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            if ( $row['ANZ'] == 0 )
                $myVar->hinweis[] = "Kollektion kann nicht gel&ouml;scht werden, da es die Einzigste ist!";
            else
            {
                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->COLLECT WHERE CollectID = {$_REQUEST['setCollectID']} AND istStandard=1";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                if ( $row['Anz'] == 1 )
                	$myVar->hinweis[] = "Kollektion kann nicht gel&ouml;scht werden, da diese als Standard deklariert ist!";
                else
                {
                	$sql = "DELETE FROM $myDB->COLLECT WHERE CollectID = {$_REQUEST['setCollectID']}";
                	$myDB->go($sql);
                }
            }
        }
    }
}

?>
