<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Genres zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 597 && $_SESSION['UserRechte'] >= 600 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 

    echo "<table style=\"padding:0; margin:0; width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";

    echo "<form method=\"post\" name=\"addGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:20%;\" class=\"description_Bearbeitung\">Empfohlene Genres</td>";
    echo "<td style=\"width:60%;\" class=\"description_Bearbeitung_rechts\">Abenteuer, Action, Amateur, Animation, Biographie, Dokumentation, Drama, Eastern, Erotik, Experimentalfilm, Film-Noir, Fantasy, Game-Show, Grusel, Heimatfilm, Historienfilm, Horror, Kampfsport, Katastrophen, Kinder-/Familienfilm, Kom&ouml;die, Krieg, Krimi, Kurzfilm, Liebe/Romantik, Manga/Anime, Mondo, Musikfilm, Mystery, Reality-TV, Sex, Science-Fiction, Splatter, Sportfilm, Thriller, Tierfilm, Trash, TV-Mini-Serie, TV-Serie, Western</td>";
    echo "</tr>";
    echo "</table>";

    echo "<br />";
    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%;\" class=\"description_Bearbeitung\">Neues Genre einf&uuml;gen</td>";
    echo "<td style=\"width:30%;\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%;\"class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"text\" class=\"input_lang\" name=\"GenreName\" maxlength=\"23\" />";
    echo "</td>";
    echo "<td style=\"width:10%;\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"hinzuf&uuml;gen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"addGenre\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";
    
    echo "<form method=\"post\" name=\"renameGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%;\" class=\"description_Bearbeitung\">Genre umbenennen</td>";
    echo "<td style=\"width:30%;\" class=\"description_Bearbeitung_rechts\">";

    echo "<select class=\"select\" name=\"setGenreID\">";
    $sql = "SELECT * FROM $myDB->GENRES";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];
    $sql .= " ORDER BY Name";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['GenreID']}\">{$row['Name']}</option>";
    echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;in ";
    echo "</td>";
    echo "<td style=\"width:25%;\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"text\" class=\"input_lang\" name=\"GenreName\" maxlength=\"23\" />";
    echo "</td>";
    echo "<td style=\"width:10%;\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"umbenennen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"renameGenre\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";
    
    echo "<form method=\"post\" name=\"deleteGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"table\">";
    echo "<tr>";
    echo "<td style=\"width:25%;\" class=\"description_Bearbeitung\">Genre l&ouml;schen</td>";
    echo "<td style=\"width:30%;\" class=\"description_Bearbeitung_rechts\">&nbsp;</td>";
    echo "<td style=\"width:25%;\" class=\"description_Bearbeitung_rechts\">";

    echo "<select class=\"select\" name=\"setGenreID\">";
    $sql = "SELECT * FROM $myDB->GENRES";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];
    $sql .= " ORDER BY Name";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
        echo "<option value=\"{$row['GenreID']}\">{$row['Name']}</option>";
    echo "</select>";
    echo "</td>";
    echo "<td style=\"width:10%;\" class=\"description_Bearbeitung_rechts\">";
    echo "<input type=\"submit\" class=\"buttonSubmitWarning\" style=\"vertical-align:middle\" value=\"l&ouml;schen\" />";
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
    echo "<input type=\"hidden\" name=\"deleteGenre\" value=\"1\" />";
    echo "</form>";

    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";

    // Nur Superadmin hat das Recht, Privilegien zu setzen!
    if ( $_SESSION['UserRechte'] == 900 )
    {
        echo "<form method=\"post\" name=\"PrivilegGenre\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo $var;

        echo "<table class=\"table\">";
        echo "<tr>";
        echo "<td style=\"width:25%;\" class=\"description_Bearbeitung\">Privilegien &auml;ndern</td>";
        echo "<td style=\"width:30%;\" class=\"description_Bearbeitung_rechts\">";

        echo "<select class=\"select\" name=\"setGenreID\">";
        $sql = "SELECT * FROM $myDB->GENRES";
        if ( $_SESSION['UserRechte'] == 600 )
            $sql .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];
        $sql .= " ORDER BY Name";
        $rs = $myDB->go($sql);
        while( $row = $myDB->getRow($rs) )
            echo "<option value=\"{$row['GenreID']}\">{$row['Name']}: {$row['brauchtPrivileg']}</option>";
        echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;in ";
        echo "</td>";
        echo "<td style=\"width:25%;\" class=\"description_Bearbeitung_rechts\">";
        echo "<input type=\"text\" class=\"input_kurz\" name=\"brauchtPrivileg\" maxlength=\"2\" />";
       echo "</td>";
        echo "<td style=\"width:10%;\" class=\"description_Bearbeitung_rechts\">";
        echo "<input type=\"submit\" class=\"buttonSubmit\" style=\"vertical-align:middle\" value=\"&auml;ndern\" />";
       echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "<input type=\"hidden\" name=\"sent\" value=\"1\" />";
        echo "<input type=\"hidden\" name=\"PrivilegGenre\" value=\"1\" />";
        echo "</form>";
    }

    echo "</td>";
    echo "</tr>";
    echo "</table>";

}

?>
