<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Genres zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 597 && isset($_REQUEST['sent']) && $_SESSION['UserRechte'] >= 600 )
{
    if ( isset($_REQUEST['GenreName']) )
    {
        if ( strlen($_REQUEST['GenreName']) <= 2 )
            $myVar->warnung[] = "Ung&uuml;ltiger Name. Mindestens drei Zeichen";
        else
        {
            // HTML-Zeichen konventieren
            $GenreName = htmlentities( $_REQUEST['GenreName'] );
            
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->GENRES WHERE Name = '$GenreName'";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            if ( $row['ANZ'] > 0 )
                $myVar->warnung[] = "Genre existiert bereits! Vorgang ung&uuml;ltig!";
            else if ( isset($_REQUEST['addGenre']) )
            {
                $sql = "INSERT INTO $myDB->GENRES (Name) VALUES ('$GenreName')";
                $myDB->go($sql);
            }
            else if ( isset($_REQUEST['renameGenre']) )
            {
                $sql = "UPDATE $myDB->GENRES SET Name = '$GenreName' WHERE GenreID = {$_REQUEST['setGenreID']}";
                $myDB->go($sql);
            }
        }
    }
    
    if ( isset($_REQUEST['PrivilegGenre']) )
    {
        // brauchtPrivileg kontrollieren
        if ( (int)$_REQUEST['brauchtPrivileg'] >= 0 && (int)$_REQUEST['brauchtPrivileg'] <= 99 )
             $brauchtPrivileg = (int)$_REQUEST['brauchtPrivileg'];
        else
            $brauchtPrivileg = 1;
        if ( $_REQUEST['brauchtPrivileg'] == '' )
            $brauchtPrivileg = 1;
        
        $sql = "UPDATE $myDB->GENRES SET brauchtPrivileg = $brauchtPrivileg WHERE GenreID = {$_REQUEST['setGenreID']}";
        $rs = $myDB->go($sql);
    }
    
    if ( isset($_REQUEST['deleteGenre']) )
    {
        $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME_GENRES WHERE GENRES_GenreID = {$_REQUEST['setGenreID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        if ( $row['ANZ'] > 0 )
            $myVar->hinweis[] = "Dieses Genre enth&auml;lt noch {$row['ANZ']} Zuordnungen. Kann nicht gel&ouml;scht werden!";
        else
        {
            $sql = "DELETE FROM $myDB->GENRES WHERE GenreID = {$_REQUEST['setGenreID']}";
            $myDB->go($sql);
        }
    }
}

?>
