<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * PHP-Einstellungen
 */


// regulrer Ausdruck fr Emailadresse
$pregEmail = "[a-z0-9_\.-]{2,}@[a-z0-9-]{3,}\.[a-z]{2,4}";

// regulrer Ausdruck fr Benutzername
$pregUserName = "[A-Za-z\- ]{3,}";

// damit XHTML-strict eingehalten wird
ini_set('arg_separator.output', '&amp;');
ini_set('url_rewriter.tags', 'a=href,area=href,frame=src,input=src,fieldset=');

// damit PHPSESSID automatisch angehongen wird, wenn Coockies deaktiviert sind
ini_set('session.use_trans_sid', 'off');

// falls diese Funktionen nicht existieren, fehlt gdlib zur Thumbnail-Erstellung
if ( !function_exists('imagecreatefromjpeg') || !function_exists('imagecreatefromgif') || !function_exists('imagecreatefrompng') )
    $gdlib = FALSE;
else
    $gdlib = TRUE;


?>
