<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Convert-Skript
 * 
 * Dieses Skript verschiebt alle Filme aus der alten Kollektion mit der FormatID
 * in die neue Kollektion. Dadurch enstehende Lcken in den FilmIDs und DiscIDs
 * werden geschlossen. Filme mit mehreren Disks werden nicht beachtet. Da muss in 
 * der Diskverwaltung Hand angelegt werden.
 */


// FormatID, welche von oldCollectID in newCollectID kopiert wird
$FormatID = 3;
$oldCollectID = 1;
$newCollectID = 2;


if ( !isset($_POST['sent']) )
{
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<input type=\"submit\" name=\"sent\" value=\"convert\">";
    echo "</form>";
}


if ( isset($_POST['sent']) )
{

require("../includes/functions.php");
require("../classes/class.db.php");
require("../classes/class.settings.php");
require("../settings/admin.php");

$myDB = new db($server, $username, $pass, $dbase, $prefix,$MySQL_Ver);
$settings = new settings( $myDB );

$sql = "UPDATE $myDB->FILME SET COLLECT_CollectID=$newCollectID WHERE FORMATE_FormatID=$FormatID";
$myDB->go($sql);


$sql = "SELECT FilmID FROM $myDB->FILME WHERE COLLECT_CollectID=$oldCollectID";
$rs = $myDB->go($sql);
while ( $row = $myDB->getRow($rs) )
{
    $sql2 = "SELECT myFilmID FROM $myDB->FILME WHERE COLLECT_CollectID=$oldCollectID AND FilmID!={$row['FilmID']} ORDER BY myFilmID ASC";
    $rs2 = $myDB->go($sql2);
    $oldID = 1;
    while ( $row2 = $myDB->getRow($rs2) )
        if ( $row2['myFilmID'] > $oldID )
            break;
        else
            ++$oldID;
        
    $myFilmID = $oldID;
    $DiscID = $oldID;
    
    $sql2 = "UPDATE $myDB->FILME SET myFilmID=$myFilmID WHERE FilmID={$row['FilmID']}";
    $myDB->go($sql2);
    
    $sql2 = "UPDATE $myDB->DISCS SET DiscID=$DiscID WHERE FILME_FilmID={$row['FilmID']}";
    $myDB->go($sql2);
}


$sql = "SELECT FilmID FROM $myDB->FILME WHERE COLLECT_CollectID=$newCollectID";
$rs = $myDB->go($sql);
while ( $row = $myDB->getRow($rs) )
{
    $sql2 = "SELECT myFilmID FROM $myDB->FILME WHERE COLLECT_CollectID=$newCollectID AND FilmID!={$row['FilmID']} ORDER BY myFilmID ASC";
    $rs2 = $myDB->go($sql2);
    $oldID = 1;
    while ( $row2 = $myDB->getRow($rs2) )
        if ( $row2['myFilmID'] > $oldID )
            break;
        else
            ++$oldID;
        
    $myFilmID = $oldID;
    $DiscID = $oldID;
    
    $sql2 = "UPDATE $myDB->FILME SET myFilmID=$myFilmID WHERE FilmID={$row['FilmID']}";
    $myDB->go($sql2);
    
    $sql2 = "UPDATE $myDB->DISCS SET DiscID=$DiscID WHERE FILME_FilmID={$row['FilmID']}";
    $myDB->go($sql2);
}

}


?>
