<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Wenn einen Film anzeigen...
 */


if ( $_SESSION['UserRechte'] < 300 )
    exit();

if ( $myVar->MenuID == 280 && $_SESSION['UserRechte'] > 0 )
{
    $sql = "SELECT * 
              FROM $myDB->FILME AS fi LEFT OUTER 
              JOIN $myDB->FILME_TRAILER_TYP AS tr ON fi.FilmID = tr.FILME_FilmID 
              WHERE fi.FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    
    if($settings->showArtikelFirst) {
      $row['Titel'] = PrependStrippedArticle($row['Titel']);
      $row['Originaltitel'] = PrependStrippedArticle($row['Originaltitel']);
    }

    // setzen der StandardWerte wenn keine Trailerspezifischen Infos hinterlegt sind
    if ((int)$row['TrailerBreite'] <= 0 && (int)$row['TrailerHoehe'] <= 0) {
      $row['TrailerBreite'] = $settings->standardTrailerBreite;
      $row['TrailerHoehe'] = $settings->standardTrailerHoehe  + 20; 
    } else { 
      $row['TrailerHoehe'] = $row['TrailerHoehe'] + 20;
    }

    // Bilder anzeigen
    echo "<div class=\"cover\">";
    $sql2 = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID ORDER BY Rang ASC";
    $rs2 = $myDB->go($sql2);
    while ( $row2 = $myDB->getRow($rs2) )
    {
        echo "<div>";
        $bild = "$cover_dir/{$row2['FILME_FilmID']}_{$row2['Rang']}_{$row2['Appendix']}.{$row2['Extension']}";
        $bildInfo = @getimagesize($bild);
        $bildInfo[0] = $bildInfo[0] + 50;
        $bildInfo[1] = $bildInfo[1] + 70;
        
        $vars = array();
        $vars['MenuID'] = 289;
        $vars = $myVar->getRequest($vars);

        echo "<a href=\"{$_SERVER['PHP_SELF']}?{$vars}Rang={$row2['Rang']}\" target=\"cover\" onclick=\"window.open('', 'cover', 'Height={$bildInfo[1]},Width={$bildInfo[0]},screenX=550,screenY=100,location=no,menubar=no,status=no,toolbar=no,scrollbars=yes')\"><img style=\"border:none; width:155px; height:232px;\" src=\"$bild\" alt=\"cover\" /></a>";
        echo "</div>";
    }
    if (($settings->showTonformat == 1 || $settings->showTonformat == 3) && $settings->activateTonDetails) {
       $sql4 = "SELECT FilmID FROM $myDB->FILME_TON_SPRACHE ft WHERE ft.filmID = $myVar->FilmID";
       $rs4 = $myDB->go($sql4);
       if ($row4 = $myDB->getRow($rs4)) {
           echo "<div class=\"tonformat\"><br/><br/>";
           	  	      
           $sql3 = "SELECT DISTINCT ft.TonID, BildURL, Beschreibung FROM $myDB->TON tn INNER JOIN $myDB->FILME_TON_SPRACHE ft ON tn.tonID = ft.tonID WHERE ft.filmID = {$row['FilmID']}";
           $rs3 = $myDB->go($sql3);

           while ( $row3 = $myDB->getRow($rs3) )
           {
               if (getLogo( $myDB, 0, $row3['BildURL']) != "") {    
      	         echo "<div class=\"ton\"><table align=\"center\"><tr><td>&nbsp;&nbsp;&nbsp;&nbsp;<img src=\"". getLogo( $myDB, 0, $row3['BildURL']) ."\" title=\"{$row3['Beschreibung']}\" /></td><td width=\"28px\">";	   
                 $sql5 = "SELECT DISTINCT Bezeichnung FROM $myDB->FILME_TON_SPRACHE ft INNER JOIN $myDB->SPRACHE sp ON ft.SprachID = sp.SprachID WHERE ft.TonID = {$row3['TonID']} AND ft.filmID = {$row['FilmID']}";
                 $rs5 = $myDB->go($sql5);
                 while ( $row5 = $myDB->getRow($rs5) )
                 {  
                    if (getLogo( $myDB, 0, './img/Sprachen/' . $row5['Bezeichnung'] . '.gif') != "") { 
                      echo "<img src=\"" . getLogo( $myDB, 0, './img/Sprachen/' . $row5['Bezeichnung'] . '.gif') . "\" style=\"display:inline;padding:5px;border:0px;float:left;margin-right:0 !important;margin-right:-3px\" />";  
                    }
                 }
                 echo "</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr></table></div>"; 
                 
               }
           }
          echo "</div>"; 
      }
    }
    if (($settings->showAufloesung == 1 || $settings->showAufloesung == 3) && strlen($row['Aufloesung'] && getLogo( $myDB, 0, "./img/Aufloesung/{$row['Aufloesung']}.png") != "")) 
      echo "<br/><img src=\"" . getLogo( $myDB, 0, "./img/Aufloesung/{$row['Aufloesung']}.png") . "\"/><br/>";

    if (($settings->showBildFormat == 1 || $settings->showBildFormat == 3) && strlen($row['Bildformat'] && getLogo( $myDB, 0, "./img/Bildformat/{$row['Bildformat']}.png") != "")) 
      echo "<br/><img src=\"" . getLogo( $myDB, 0, "./img/Bildformat/{$row['Bildformat']}.png") . "\"/>";   
    echo "</div>";
    

    if (getLogo( $myDB, $row['FORMATE_FormatID'] ) != "" && (($settings->showFormat == 1 || $settings->showFormat == 3) || ($settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 ))) { 
  	  echo '<div style="float:right;position:relative;">&nbsp;&nbsp;&nbsp;</div>';
      echo "<div style=\"float:right;position:relative;top:10px;\"><img src=\"".getLogo( $myDB, $row['FORMATE_FormatID'] )."\" /></div>";	
    }
    
    echo "<dl class=\"showFilm\">";
  
    echo '<dt class="description_Filmanzeigen" style="color:#4498FF;">Titel</dt>';
    echo '<dd class="description_Filmanzeigen_rechts" style="font-weight:bold;">' . $row['Titel'] . '</dd>';
    
    if ( strlen( $row['Originaltitel'] ) )
    {
        echo '<dt class="description_Filmanzeigen" style="color:#FF7954;">Originaltitel</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $row['Originaltitel'] . '</dd>';
    }
    
    if ( strlen( $row['EAN'] ) && $settings->showEAN )
    {
        echo '<dt class="description_Filmanzeigen">EAN/UPC</dt>';
        if (strlen( $row['WebseiteFassung']))
          echo '<dd class="description_Filmanzeigen_rechts"><a href="' . $row['WebseiteFassung'] . '" target="_blank"><u>' . $row['EAN'] . '</u></a></dd>';
        else
          echo '<dd class="description_Filmanzeigen_rechts">' . $row['EAN'] . '</dd>';
    }
    
    if ( $row['Land'] != "" || $row['Jahr'] != 0 )
    {
        echo '<dt class="description_Filmanzeigen">Produktion</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">';
        if ( $row['Land'] != "" )
            echo $row['Land'];
        if ( $row['Land'] != "" && $row['Jahr'] != 0 )
            echo " / ";
        if ( $row['Jahr'] != 0 )
            echo $row['Jahr'];
        echo '</dd>';
    }
    
    // FilmID anzeigen
    if  ($settings->showFilmID == TRUE || $settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 )
    {
        $myFilmID = $row['COLLECT_CollectID']."-".getAnzStellenID( $row['myFilmID'], $settings );
        echo '<dt class="description_Filmanzeigen">FilmID</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $myFilmID . '</dd>';
    }
    
    // DiskID's anzeigen
    if ( $settings->showDiscID == TRUE || $settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 )
    {
        echo '<dt class="description_Filmanzeigen">DiskID(s)</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . getDiscID( $myVar->FilmID, $myDB, $settings ) . '</td>';
    }
    // falls DiskID nicht angezeigt wird, Anzahl der Disks zhlen
    else
    {
        $sql2 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS WHERE FILME_FilmID=$myVar->FilmID";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        
        if ( $row2['Anz'] > 1 )
        {
            echo '<dt class="description_Filmanzeigen">Diskanzahl</dt>';
            echo '<dd class="description_Filmanzeigen_rechts">' . $row2['Anz'] . 'Disks</dd>';
        }
    }
    
    // Film verliehen?
    $sql2 = "SELECT DiscID FROM $myDB->DISCS INNER JOIN $myDB->FILME ON FILME_FilmID=FilmID WHERE FILME_FilmID=$myVar->FilmID";
    $rs2 = $myDB->go($sql2);
    $anz=0;
    while ( $row2 = $myDB->getRow($rs2) )
    {
        $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON FILME_FilmID=FilmID WHERE COLLECT_CollectID={$row['COLLECT_CollectID']} AND di.USERS_UserID!=0 AND DiscID={$row2['DiscID']}";
        $rs3 = $myDB->go($sql3);
        $row3 = $myDB->getRow($rs3);
        $anz += $row3['Anz'];
    }
    if ( $anz > 0 )
    {
        echo '<dt class="description_Filmanzeigen">Status</dt>';
        echo '<dd class="description_Filmanzeigen_rechts" style="font-weight:bold;">dieser Film ist zur Zeit verliehen</dd>';
    }
    
    $sql2 = "SELECT COUNT(*) AS FilmGesehen FROM $myDB->FILME_USERS WHERE FILME_FilmID = $myVar->FilmID AND USERS_UserID = {$_SESSION['UserID']}";
    $rs2 = $myDB->go($sql2);
    $row2 = $myDB->getRow($rs2);
    if ( $row2['FilmGesehen'] == 1 )
    {
        $FilmGesehen = $row2['FilmGesehen'];
        echo '<dt class="description_Filmanzeigen">gesehen</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">ja</dd>';
    }

    if ( $settings->showRating )
    {
        $sql2 = "SELECT AVG(Bewertung) AS Bewertung FROM $myDB->FILME fi " .
                "INNER JOIN $myDB->FILME_USERS fu ON fu.FILME_FilmID=FilmID " .
                "WHERE Bewertung!=0 AND FilmID=$myVar->FilmID";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        if ( $row2['Bewertung'] != '' )
        {
            echo '<dt class="description_Filmanzeigen">Bewertung</dt>';
            echo '<dd class="description_Filmanzeigen_rechts">' . round( $row2['Bewertung'], 2 ) . ' von 10 Punkte</dd>';
        }
    }
    
    if ( $settings->showBesitzer == TRUE )
    {
        echo '<dt class="description_Filmanzeigen">Besitzer</dt>';
        $sql2 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$row['USERS_UserID']}";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        echo '<dd class="description_Filmanzeigen_rechts">' . $row2['UserName'] . '</td>';
    }
    if ( $settings->showHistory == TRUE && $_SESSION['UserID'] == $row['USERS_UserID'] || $settings->showHistory == TRUE && $_SESSION['UserRechte'] == 900 )
    {
        echo '<dt class="description_Filmanzeigen">last viewed</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">';
        $sql2 = "SELECT HistoryID , UserName, showUserName FROM $myDB->HISTORY hi INNER JOIN $myDB->USERS us ON hi.USERS_UserID = us.UserID WHERE FILME_FilmID ={$row['FilmID']} ORDER BY HistoryID DESC LIMIT 1";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        $var = array();
        $var['MenuID'] = 282;
        $var['FilmID'] = $row['FilmID'];
        $var = $myVar->getRequest($var); 

        if ($row2['showUserName'] == 1 || $_SESSION['UserID'] == $row['USERS_UserID'] || $_SESSION['UserRechte'] == 900) {
            if($row2['UserName'] != "") {
                echo "<a href=\"{$_SERVER['PHP_SELF']}?$var\">";
                echo '<span style="margin:0; text-decoration:underline;">';
                echo $row2['UserName'];
                echo '</a></span>';
            } else {
                echo 'Film bisher nicht ausgeliehen';
            }
        } elseif($row2['UserName'] != "") {
            echo "<a href=\"{$_SERVER['PHP_SELF']}?$var\">";
            echo '<span style="margin:0; text-decoration:underline;">';
            echo 'Annonym';
            echo '</a></span>';
        } else {
            echo 'Film bisher nicht ausgeliehen';
        }
        echo '</dd>';
    }
    if ( $settings->showCollect == TRUE || $settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 )
    {
        echo '<dt class="description_Filmanzeigen">Kollektion</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . getCollect( $myDB, $row['COLLECT_CollectID'] ) . '</dd>';
    }
    if ( $settings->showFormat >= 2 || $settings->adminSeeAll && $_SESSION['UserRechte'] >= 600 )
    {
        echo '<dt class="description_Filmanzeigen">Format</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . getFormat( $myDB, $row['FORMATE_FormatID'] ) . '</dd>';
    }
    if ( $settings->showBildFormat >= 2 && strlen($row['Bildformat']) )
    {
        echo '<dt class="description_Filmanzeigen">Bildformat</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $row['Bildformat'];
        if ( $settings->showAufloesung >= 2 && strlen($row['Aufloesung']) )
          echo ' (' . $row['Aufloesung'] . ')';
        echo '</dd>';
    }
    if ( !($settings->showBildFormat >= 2) && $settings->showAufloesung >= 2 && strlen($row['Aufloesung'] ))
    {
        echo '<dt class="description_Filmanzeigen">Auflsung</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $row['Aufloesung'] . '</dd>';
    }
    if ( $Genre = getName( "Genre", $row['FilmID'], $myDB, $settings ) )
    {
        echo '<dt class="description_Filmanzeigen">Genre</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $Genre . '</dd>';
    }
    if ( getName( "Actors", $row['FilmID'], $myDB, $settings ) )
    {
        $Actors = getActorsWithLink( $myDB, $settings, $myVar );
        echo '<dt class="description_Filmanzeigen">Schauspieler</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $Actors . '</dd>';
    }
    // Regisseure nur anzeigen, wenn vorhanden
    if ( getName( "Regisseure", $row['FilmID'], $myDB, $settings ) )
    {
        $Regisseure = getRegisseureWithLink( $myDB, $settings, $myVar );
        echo '<dt class="description_Filmanzeigen">Regisseur</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $Regisseure . '</dd>';
    }
    if ( $Untertitel = getName( "Untertitel", $row['FilmID'], $myDB, $settings ) )
    {
        echo '<dt class="description_Filmanzeigen">Untertitel</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $Untertitel. '</dd>';
    }
    if ( $row['Laufzeit'] != 0 )
    {
        echo '<dt class="description_Filmanzeigen">Laufzeit</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">' . $row['Laufzeit'] . '<span style="padding-left:0.1em">min</span></dd>';
    }
    if ( $row['FSKunbekannt'] == 0 )
    {
	echo '<dt class="description_Filmanzeigen">FSK</dt>';

        if ($settings->ModFSK == 1) 
            echo '<dd class="description_Filmanzeigen_rechts">' . $row['FSK'] . ' Jahre</dd>';     
        else
            echo '<dd class="description_Filmanzeigen_rechts"><img src="./img/FSK/' . $row['FSK'] . '.png"></dd>';       
    }
    if ($settings->showTonformat >= 2 && $settings->activateTonDetails) {
        $sql5 = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_TON_SPRACHE WHERE FilmID = $myVar->FilmID";
        $rs5 = $myDB->go($sql5);
        $row5 = $myDB->getRow($rs5);
        if ( $row5['Anz'] > 1 ) {
           echo '<dt class="description_Filmanzeigen">Tonformate</dt>';
        } else {
           echo '<dt class="description_Filmanzeigen">Tonformat</dt>';
        }
        echo '<dd class="description_Filmanzeigen_rechts">';
        $sql2 = "SELECT fs.TonID, fs.SprachID, tn.Name, sp.Bezeichnung FROM $myDB->FILME_TON_SPRACHE fs INNER JOIN $myDB->TON tn ON fs.TonID = tn.TonID INNER JOIN $myDB->SPRACHE sp ON fs.SprachID = sp.SprachID WHERE fs.FilmID = $myVar->FilmID ORDER BY sp.Bezeichnung";
        $rs2 = $myDB->go($sql2);

        for ( $i = 0; $i < $row5['Anz']-1; ++$i )
        {
            $row2 = $myDB->getRow($rs2);
            echo "{$row2['Bezeichnung']} ({$row2['Name']}), ";	
        }
        if ($row5['Anz'] == 0) {
           echo 'Kein Tonformat eingetragen'; 
        } else {
           $row2 = $myDB->getRow($rs2);
           echo "{$row2['Bezeichnung']} ({$row2['Name']}) ";
        }
    echo '</dd>';
    }
    if ( strlen( $row['Webseite'] ) != 0 )
    {
        echo '<dt class="description_Filmanzeigen">Webseite</dt>';
        echo '<dd class="description_Filmanzeigen_rechts"><a href="' . $row['Webseite'] . '" target="_blank"><u>' . $row['Webseite'] . '</u></a></dd>';
    }
    
    if ( $row['Inhalt'] != "" )
    {
        echo '<dt class="description_Filmanzeigen">&nbsp;</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">&nbsp;</dd>';
        echo '<dt class="description_Filmanzeigen">Inhalt</dt>';
        echo '<dd class="description_Filmanzeigen_rechts" style="text-align:justify">' . $row['Inhalt'] . '</dd>';
    }
     
    if ( $row['Bemerkung'] != "" )
    {
        echo '<dt class="description_Filmanzeigen">&nbsp;</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">&nbsp;</dd>';
        echo '<dt class="description_Filmanzeigen">Bemerkung</dt>';
        echo '<dd class="description_Filmanzeigen_rechts" style="text-align:justify">' . $row['Bemerkung'] . '</dd>';
    }

    if ( $settings->activateTrailer && $row['TrailerConfig'] != '') {
        echo '<dt class="description_Filmanzeigen">&nbsp;</dt>';
        echo '<dd class="description_Filmanzeigen_rechts">&nbsp;</dd>';
        echo '<dt class="description_Filmanzeigen">Trailer</dt>';
        echo '<dd class="description_Filmanzeigen_rechts" style="text-align:justify">';	
        if($row['TrailerTypID'] == 1) {
          echo $row['TrailerConfig'];
        } else {
          if(strpos($row['TrailerConfig'],'.') == 0) 
            $row['TrailerConfig'] = '.' . $row['TrailerConfig'];

        	echo '<div id="container">Dieses Plugin bentigt einen <a href="http://www.macromedia.com/go/getflashplayer">Flash Player.</a></div>
        	<script type="text/javascript" src="./script/swfobject.js"></script>
        	<script type="text/javascript">
        		var s1 = new SWFObject("./script/player.swf","ply","' . $row['TrailerBreite'] . '","' . $row['TrailerHoehe'] . '","9","#FFFFFF");
        		s1.addParam("wmode","opaque");
        		s1.addParam("allowfullscreen","true");
        		s1.addParam("allowscriptaccess","always");
        		s1.addParam("flashvars","file=' . $row['TrailerConfig'] . '&image=./img/preview.jpg&autostart=' . $settings->TrailerAutoStart . '");
        		s1.write("container");
        	</script></dd>';
        }
     }

    $sql2 = "SELECT * FROM $myDB->FILME_USERS WHERE FILME_FilmID = $myVar->FilmID AND LENGTH(Kommentar) ORDER BY Zeitpunkt ASC";
    $rs2 = $myDB->go($sql2);
    $anz = mysql_num_rows($rs2);
    if ($anz > 0) {
        echo '<dt class="description_Filmanzeigen">Kommentar</dt>';
        echo '<dd class="description_Filmanzeigen_rechts" style="text-align:justify">';

        while ( $row2 = $myDB->getRow($rs2) )
        {
            // wenn Name anzeigen, dann Name holen
            if ( $row2['zeigeNamen'] )
            {
                $sql3 = "SELECT UserName FROM $myDB->USERS WHERE UserID = {$row2['USERS_UserID']}";
                $rs3 = $myDB->go($sql3);
                $row3 = $myDB->getRow($rs3);
                $Name = $row3['UserName'];
            }
            else
                $Name = 'Ein Benutzer';

            echo '<span>' . $Name . ' schrieb:</span>';
            echo '<span>' . $row2['Kommentar'] . '</span><br />';
        }
        echo "</dd>";
    }
    
    echo "</dl>";

    
    echo "<table width=\"100%\">";
    echo "<tr>";
    echo "<td style=\"padding:30px 0px 30px 107px;\">";
    echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
    
    $var = array();
    $var['MenuID'] = $myVar->oldMenuID;
    $var['FilmID'] = 0;
    echo $myVar->getRequest($var,TRUE);
    echo "<input class=\"buttonSubmit\" type=\"submit\" value=\"zur&uuml;ck\" />";
    echo "</form>";

    echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
    
    $var = array();
    $var['MenuID'] = 291;
    echo $myVar->getRequest($var,TRUE);
    
    if ( $_SESSION['UserRechte'] >= 600 || $_SESSION['UserID'] != $settings->autoLogin )
    {
        if ( isset ( $FilmGesehen ) && $FilmGesehen == 0 )
            echo "<input class=\"buttonSubmit\" type=\"submit\" value=\"Film gesehen\" />";
        else
            echo "<input class=\"buttonSubmitAktion\" type=\"submit\" value=\"Bewertung\" />";
    }
    echo "</form>";
    
    
    if ( $_SESSION['UserRechte'] == 900 || $_SESSION['UserRechte'] == 600 && $row['USERS_UserID'] == $_SESSION['UserID'] )
    {

        echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
        
        $var = array();
        $var['MenuID'] = 598;
        echo $myVar->getRequest($var,TRUE);
        
        echo "<input class=\"buttonSubmitWarning\" type=\"submit\" value=\"bearbeiten\" />";
        echo "</form>";
    }
    // Button soll nur vorhanden sein, wenn Film nicht ausgeliehen
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID = 0 AND di.FILME_FilmID = $myVar->FilmID";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs); 
    if ( $_SESSION['UserRechte'] >= 900 && $row['Anz'] > 0 || $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute && $row['Anz'] > 0 )
    {
        echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";
        
        $var = array();
        $var['MenuID'] = 897;
        echo $myVar->getRequest($var,TRUE);
        
        echo "<input class=\"buttonSubmitAktion\" type=\"submit\" value=\"verleihen\" />";
        echo "</form>";
    }
        if ( $myVar->MenuID == 280 && $_SESSION['UserID'] != $_SESSION['ResID'] && $settings->activateReservierung)
    {
        echo "<form method=\"get\" style=\"display: inline;\" action=\"{$_SERVER['PHP_SELF']}\">";

        $var = array();
        if ($_SESSION['UserRechte'] >= 900 || $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute )
          $var['MenuID'] = 893;
          
        echo $myVar->getRequest($var,TRUE);

        echo "<input class=\"buttonSubmitAktion\" type=\"submit\" value=\"reservieren\" name=\"reservieren\" />";
        echo "</form>";
    }
        echo "</td>";
        echo "</tr>";
        echo "</table>";

    
    
}


?>
