<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * PHP-Einstellungen
 */


// regulrer Ausdruck fr Emailadresse
$pregEmail = "^(\S+@[^.\s]\S*\.\S*[^.\s])?$";

// regulrer Ausdruck fr Benutzername
$pregUserName = "^[A-Za-z\- ]{3,}$";


// lifetime of session-cookie: 2 days
@session_set_cookie_params(172800);
@ini_set("session.use_trans_sid", 0);

// berprfen, ob Coockies erlaubt werden
if ( array_key_exists( "testcookie", $_COOKIE ) &&
     $_COOKIE["testcookie"] == "testvalue" )
{
    $COOCKIES_ACTIVE = TRUE;
}
else
{
    @setcookie("testcookie","testvalue");
    $COOCKIES_ACTIVE = FALSE;
}


// falls diese Funktionen nicht existieren, fehlt gdlib zur Thumbnail-Erstellung
if ( !function_exists('imagecreatefromjpeg') ||
     !function_exists('imagecreatefromgif') ||
     !function_exists('imagecreatefrompng')
   )
    $gdlib = FALSE;
else
    $gdlib = TRUE;


?>
